Bug 504456 - Review Request: perl-MooseX-SemiAffordanceAccessor - Name your accessors foo() and set_foo()
Review Request: perl-MooseX-SemiAffordanceAccessor - Name your accessors foo(...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/MooseX-Se...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-07 05:11 EDT by Chris Weyl
Modified: 2010-08-25 13:25 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-08 21:44:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2009-06-07 05:11:57 EDT
Spec URL: http://fedorapeople.org/~cweyl/review/perl-MooseX-SemiAffordanceAccessor.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-MooseX-SemiAffordanceAccessor-0.03-1.fc10.src.rpm

Description:
This module does not provide any methods. Simply loading it changes the
default naming policy for the loading class so that accessors are
separated into get and set methods. The get methods have the same name
as the accessor, while set methods are prefixed with "set_".If you
define an attribute with a leading underscore, then the set method will
start with "_set_".If you explicitly set a "reader" or "writer" name
when creating an attribute, then that attribute's naming scheme is left
unchanged.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1397614

Additional Comment:

This is a BR of a new BR of the latest GA Catalyst::Devel.

*rt-0.10
Comment 1 Parag AN(पराग) 2009-06-08 00:27:56 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1397614
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
c545632cf924e5733230beecc03b23e565b034c0  MooseX-SemiAffordanceAccessor-0.03.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=3, Tests=12,  0 wallclock secs ( 0.01 usr  0.01 sys +  0.19 cusr  0.04 csys =  0.25 CPU)
+ Package perl-MooseX-SemiAffordanceAccessor-0.03-1.fc12.noarch =>
Provides: perl(MooseX::SemiAffordanceAccessor) = 0.03 perl(MooseX::SemiAffordanceAccessor::Role::Attribute)
Requires: perl(Moose) >= 0.55 perl(Moose::Exporter) perl(Moose::Role) perl(Moose::Util::MetaRole) perl(MooseX::SemiAffordanceAccessor::Role::Attribute) perl(strict) perl(warnings)
+ Not a GUI application

APPROVED.
Comment 2 Chris Weyl 2009-06-08 00:42:35 EDT
New Package CVS Request
=======================
Package Name: perl-MooseX-SemiAffordanceAccessor
Short Description: Name your accessors foo() and set_foo()
Owners: cweyl
Branches: F-9 F-10 F-11 devel
InitialCC: perl-sig
Comment 3 Jason Tibbitts 2009-06-08 12:27:12 EDT
CVS done.
Comment 4 Chris Weyl 2009-06-08 21:44:33 EDT
Thanks for the review! :-)
Comment 5 Iain Arnell 2010-08-25 01:48:42 EDT
Package Change Request
======================
Package Name: perl-MooseX-SemiAffordanceAccessor
New Branches: el6
Owners: iarnell tremble
InitialCC: perl-sig
Comment 6 Kevin Fenzi 2010-08-25 13:25:52 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.